# optimbase_checkx0

Checks initial guess.

## Calling Sequence

                opt = optimbase_checkx0(opt)

## Argument

opt

  The object of TOPTIM type (tlist).

## Description

The `optimbase_checkx0` function checks if the initial guess is consistent with the bounds and the non-linear inequality constraints, if any and produces an error message if not.

## Example

        opt = optimbase_new();

        opt = optimbase_configure ( opt, "-numberofvariables", 2);
        opt = optimbase_configure ( opt , "-verbose",1);
       	opt = optimbase_configure ( opt , "-boundsmin" , [-5.0 -5.0] );
        opt = optimbase_configure ( opt , "-boundsmax" , [5.0 5.0] );
        opt = optimbase_configure ( opt , "-x0", [1.0 1.0]' );

        // Check x0
        opt = optimbase_checkx0(opt)

        opt = optimbase_destroy(opt);

## See Also

- optimbase_isfeasible
- optimbase_configure
- optimbase_cget